# Package org.apache.nutch.scoring

The `ScoringFilter` interface.

- Interface Summary
  Interface | Description
  --- | ---
  ScoringFilter | A contract defining behavior of scoring plugins.

- Class Summary
  Class | Description
  --- | ---
  AbstractScoringFilter |
  ScoringFilters | Creates and caches `ScoringFilter` implementing plugins.

- Exception Summary
  Exception | Description
  --- | ---
  ScoringFilterException | Specialized exception for errors during scoring.